NDB_DELETE_ALL(1)

NAME
ndb_delete_all - delete all rows from an NDB table

SYNOPSIS

ndb_delete_all options

DESCRIPTION

ndb_delete_all deletes all rows from the given NDB table. In some cases, this can be much faster than DELETE or even TRUNCATE TABLE.
        Usage

    ndb_delete_all -c connect_string tbl_name -d db_name

This deletes all rows from the table named tbl_name in the database named db_name. It is exactly equivalent to executing TRUNCATE db_name.tbl_name in MySQL.

The following table includes options that are specific to ndb_delete_all. Additional descriptions follow the table. For options common to most MySQL Cluster programs (including ndb_delete_all), see Options Common to MySQL Cluster Programs(1).

Table 17.16. ndb_delete_all Options and Variables: MySQL 5.1, MySQL Cluster NDB 6.3-7.1
Format | Description | Added / Removed
--database=dbname, -d | Name of the database in which the table is found | All MySQL 5.1 based releases
--transactional, -t | Perform the delete in a single transaction (may run out of operations) | All MySQL 5.1 based releases
--tupscan | Run tup scan | All MySQL 5.1 based releases
--diskscan | Run disk scan | All MySQL 5.1 based releases

    • --transactional, -t

    Use of this option causes the delete operation to be performed as a single transaction.

        Warning
        With very large tables, using this option may cause the number of operations available to the cluster to be exceeded.

COPYRIGHT

Copyright © 1997, 2013, Oracle and/or its affiliates. All rights reserved.

This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.

This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA or see http://www.gnu.org/licenses/.

SEE ALSO
For more information, please refer to the MySQL Reference Manual, which may already be installed locally and which is also available online at http://dev.mysql.com/doc/.

AUTHOR
Oracle Corporation (http://dev.mysql.com/).